Skip to main content
GET
/
intake
/
forms
Get intake forms for a matter type
curl --request GET \
  --url https://api.smokeball.com/intake/forms \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "isSmokeballForm": true,
      "title": "Client Intake Form",
      "category": "matter",
      "matterTypes": [
        {
          "id": "<string>",
          "href": "<string>",
          "relation": "<string>",
          "method": "GET"
        }
      ],
      "active": true,
      "createdDate": "2026-01-01T00:00:00.0000000+00:00",
      "lastUpdated": "2026-01-01T00:00:00.0000000+00:00"
    }
  ],
  "offset": 123,
  "limit": 123,
  "size": 123,
  "first": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "previous": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "next": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "last": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Query Parameters

matterTypeId
string

The matter type to filter forms by.

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500

Response

OK

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
value
object[] | null
offset
integer<int32> | null
limit
integer<int32> | null
size
integer<int64>
first
object
previous
object
next
object
last
object